Page MenuHomePhabricator

genlist crashes
Closed, ResolvedPublic

Description

I've been getting this for almost a year and finally got around to filing something for it. Not sure what the exact cause or method to reproduce is, but it happens somewhat regularly. Not sure who to assign to...

Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007fa63b0dbaa3 in _calc_job (data=0x4000001c300001c4) at lib/elementary/elm_genlist.c:806
806	        if ((sd->anchor_item) && (sd->anchor_item->item->block)
[Current thread is 1 (Thread 0x7fa63b6ef8c0 (LWP 9682))]
(gdb) bt
#0  0x00007fa63b0dbaa3 in _calc_job (data=0x4000001c300001c4) at lib/elementary/elm_genlist.c:806
#1  0x00007fa633b695db in _ecore_job_event_handler (data=0x0, type=15, ev=0x3e19670) at lib/ecore/ecore_job.c:98
#2  0x00007fa633b62cca in _ecore_call_handler_cb (func=0x7fa633b695ab <_ecore_job_event_handler>, data=0x0, type=15, event=0x3e19670) at lib/ecore/ecore_private.h:317
#3  0x00007fa633b63c0c in _ecore_event_call () at lib/ecore/ecore_events.c:518
#4  0x00007fa633b6c710 in _ecore_main_loop_iterate_internal (once_only=0) at lib/ecore/ecore_main.c:2344
#5  0x00007fa633b6a838 in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1286
#6  0x00007fa63b15454d in elm_run () at lib/elementary/elm_main.c:1258
#7  0x000000000041a113 in main (argc=1, argv=0x7ffd0a66c148) at src/bin/empc.c:4180
zmike created this task.Aug 20 2016, 12:29 PM

Forgot to mention, it's sd->anchor_item->item that's NULL here

jpeg removed a subscriber: jpeg.Feb 16 2017, 4:14 AM
jpeg added a subscriber: jpeg.Mar 2 2017, 5:15 PM
jpeg added a comment.Mar 2 2017, 5:21 PM

Without a reproduction path I'm not sure this should stay as high priority?
Anyway, are there any apps in particular that exhibit this issue? From my understanding of the code item should never be NULL. So it's possible that anchor_item points to invalid data. Anyway there is clearly not enough information here to make any proper guess :(

zmike added a comment.Mar 3 2017, 4:44 AM

I've been getting it pretty regularly in empc for a long time. I don't have any particular reproduction case, however.

raster added a subscriber: raster.Mar 15 2017, 8:32 PM

this is just random - right? no particular method to reproduce it?

zmike added a comment.Mar 16 2017, 5:34 AM

That's correct.

jpeg lowered the priority of this task from High to Normal.Jul 11 2017, 10:21 PM

This can't be high priority unless there is something tangible to work on...

zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:54 AM
segfaultxavi edited projects, added efl: widgets; removed Restricted Project.Jun 11 2018, 7:58 AM
Herald closed this task as Resolved. · View Herald TranscriptJan 16 2019, 5:16 AM

Ho Ho Ho! This issue was fixed by Santa!